Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## javax.swing.table
Class TableModel

Method Summary
`Object[]` | `getAt(int index)` Support the subscript operator for TableModel.
`Iterator` | `iterator()` Returns an Iterator which traverses the TableModel one row at a time.
`int` | `size()` Provide the standard Groovy `size()` method for `TableModel`.

Method Detail

### getAt

    public Object[] getAt(int index)

  Support the subscript operator for TableModel.

Parameters:
  `index` - the index of the row to get.

Returns:
  the row at the given index

Since:
  1.6.4

### iterator

    public Iterator iterator()

  Returns an Iterator which traverses the TableModel one row at a time.

Returns:
  an Iterator for a TableModel

Since:
  1.6.4

### size

    public int size()

  Provide the standard Groovy `size()` method for `TableModel`.

Returns:
  the row count of the TableModel

Since:
  1.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK